Skip to main content
POST
/
persons
Create a person
curl --request POST \
  --url https://api.engine.usesophic.com/persons \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "person_type": "natural",
  "claims": [
    {
      "claim_type": "<unknown>",
      "first_name": "<string>",
      "last_name": "<string>",
      "date_of_birth": "2023-12-25"
    }
  ]
}
'
{
  "id": "<string>",
  "person_type": "natural",
  "full_name": "<string>",
  "claims": [
    {
      "id": "<string>",
      "claim_type": "<unknown>",
      "first_name": "<string>",
      "last_name": "<string>",
      "date_of_birth": "2023-12-25",
      "status": "pending",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "created_at": "2023-11-07T05:31:56Z",
  "modified_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Create a person with claims.

person_type
enum<string>
required

The type of person to create: natural or legal.

Available options:
natural,
legal
claims
(IdentityClaimSpec · object | NationalitiesClaimSpec · object | ResidenceClaimSpec · object | TaxResidenciesClaimSpec · object | FatcaStatusClaimSpec · object | PepStatusClaimSpec · object | EducationLevelClaimSpec · object | EmploymentClaimSpec · object | FinancialProfileClaimSpec · object | InvestmentExperienceClaimSpec · object | RegistrationClaimSpec · object | ContactDetailsClaimSpec · object | LeiClaimSpec · object | RegisteredAddressClaimSpec · object | OperatingAddressClaimSpec · object | BusinessNatureClaimSpec · object | ExpectedActivityClaimSpec · object | RelationshipsClaimSpec · object)[]
required

Typed claim specs for the person.

Minimum array length: 1

Spec for identity claim data.

Response

Created

Response for a person created from claims.

Includes the person summary and all created claims.

id
string
required

Unique resource identifier.

person_type
enum<string>
required

The type of person (natural or legal).

Available options:
natural,
legal
full_name
string
required

The full name of the person.

claims
(IdentityPersonClaimSummary · object | NationalitiesPersonClaimSummary · object | ResidencePersonClaimSummary · object | TaxResidenciesPersonClaimSummary · object | FatcaStatusPersonClaimSummary · object | PepStatusPersonClaimSummary · object | EducationLevelPersonClaimSummary · object | EmploymentPersonClaimSummary · object | FinancialProfilePersonClaimSummary · object | InvestmentExperiencePersonClaimSummary · object | RegistrationPersonClaimSummary · object | ContactDetailsPersonClaimSummary · object | LeiPersonClaimSummary · object | RegisteredAddressPersonClaimSummary · object | OperatingAddressPersonClaimSummary · object | BusinessNaturePersonClaimSummary · object | ExpectedActivityPersonClaimSummary · object | RelationshipsPersonClaimSummary · object)[]
required

Claims created for this person.

Identity claim summary.

created_at
string<date-time>
required

The timestamp (in ISO-8601 format) of when the resource was created.

modified_at
string<date-time>
required

The timestamp (in ISO-8601 format) of when the resource was last modified.